#ifndef __MRawPixel__
#define __MRawPixel__

#include <iostream.h>
#include "TObject.h"

#include "Mdefine.h" 


class MRawPixel  : public TObject
 {

 private: 

  Short_t     PixelId      ; //  Identification of PixelNumber and 
                             //  flag for existency of low  gain branch

  Byte_t      FADCSamples[FADC_SLICES] ; // The values of fadc-slices.

 public:

  MRawPixel() ; 

  MRawPixel(Short_t ) ; 

  MRawPixel(Short_t ,  Byte_t* ) ; 

  ~MRawPixel() ; 

  void Clear() ; 

  void Print() ; 

  void FillPixel( Short_t, Byte_t *);

  Short_t GetPixelId() ; 

  Byte_t GetFadcSlice( Int_t  ) ; 

  ClassDef ( MRawPixel, 1 )
  
};  // end of class definition of MRawPixel 


#endif





  




  




